@import "variables";

.header {
  height: 4rem;
  background: $color-secundario;
  color: $color-blanco;
  display: flex;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1;
}

.navegacion {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;

  &__list {
    list-style: none;
    display: flex;
    align-items: center;
  }

  &__logo {
    display: none;
  }

  @media (min-width: 430px) {
    &__logo {
      display: block;
      height: 2.5rem;
      margin-right: 1rem;
      margin-left: 1rem;
    }
  }

  &__item {
    text-decoration: none;
    text-align: center;
    margin-left: 1rem;
    cursor: pointer;
  }

  @media (min-width: 720px) {
    &__item {
      display: flex;
      gap: 0.5rem;
      align-items: center;
    }
  }

  &__perfil {
    display: flex;
    align-items: center;
    margin-right: 1rem;
  }

  &__contenedor {
    display: flex;
    gap: 0.5rem;
    align-items: center;
  }

  &__contenedor:hover {
    cursor: pointer;
  }

  &__boton {
    border-radius: 3px;
    color: $color-blanco;
    position: absolute;
    width: 9rem;
    top: 3rem;
    right: 1rem;
    height: 2rem;
    background-color: $color-gris;
    border: none;
  }

  &__boton:hover {
    background-color: $color-gris-claro;
    cursor: pointer;
  }
}

.active {
  color: $color-primario;
}
